policy_export.h File Reference
`#include "db/db_connection.h"`
`#include "db/policy.h"`

Go to the source code of this file.

## Macros

#define | POLICY_EXPORT_OK 0
#define | POLICY_EXPORT_ERR_ARGS 1
#define | POLICY_EXPORT_ERR_XML 2
#define | POLICY_EXPORT_ERR_DATABASE 3
#define | POLICY_EXPORT_ERR_MEMORY 4
#define | POLICY_EXPORT_ERR_FILE 5

## Functions

int | policy_export_all (int sockfd, const db_connection_t *connection, const char *filename)
int | policy_export (int sockfd, const policy_t *policy, const char *filename)

## Macro Definition Documentation

## POLICY_EXPORT_ERR_ARGS

#define POLICY_EXPORT_ERR_ARGS 1

Indicates an error with the arguments provided to policy_export().

Definition at line 42 of file policy_export.h.

## POLICY_EXPORT_ERR_DATABASE

#define POLICY_EXPORT_ERR_DATABASE 3

Indicates an error with the database like reading, updating or creating.

Definition at line 50 of file policy_export.h.

## POLICY_EXPORT_ERR_FILE

#define POLICY_EXPORT_ERR_FILE 5

Indicates an error when handing files.

Definition at line 58 of file policy_export.h.

## POLICY_EXPORT_ERR_MEMORY

#define POLICY_EXPORT_ERR_MEMORY 4

Indicates a memory allocation error or generic internal error.

Definition at line 54 of file policy_export.h.

## POLICY_EXPORT_ERR_XML

#define POLICY_EXPORT_ERR_XML 2

Indicates an error with the policy XML like parsing, validating or content.

Definition at line 46 of file policy_export.h.

## POLICY_EXPORT_OK

#define POLICY_EXPORT_OK 0

Indicates a successful policy export.

Definition at line 38 of file policy_export.h.

## Function Documentation

## policy_export()

int policy_export | ( | int | sockfd,
|  | const policy_t * | policy,
|  | const char * | filename
| ) |  |

extern

Export the policy from the database to XML.

Parameters

  [in] | sockfd | a socket.
  [in] | policy | a policy_t pointer with the policy to export.
  [in] | filename | the filename to write to, if NULL write to stdout.

Returns
  POLICY_EXPORT_ERR_* on error otherwise POLICY_EXPORT_OK.

Definition at line 532 of file policy_export.c.

References check_kasp(), POLICY_EXPORT_ERR_ARGS, POLICY_EXPORT_ERR_FILE, POLICY_EXPORT_ERR_MEMORY, POLICY_EXPORT_ERR_XML, POLICY_EXPORT_MAX_LENGHT, and POLICY_EXPORT_OK.

## policy_export_all()

int policy_export_all | ( | int | sockfd,
|  | const db_connection_t * | connection,
|  | const char * | filename
| ) |  |

extern

Export all policies from the database to XML.

Parameters

  [in] | sockfd | a socket.
  [in] | dbconn | a db_connection_t pointer.
  [in] | filename | the filename to write to, if NULL write to stdout.

Returns
  POLICY_EXPORT_ERR_* on error otherwise POLICY_EXPORT_OK.

Definition at line 413 of file policy_export.c.

References check_kasp(), POLICY_EXPORT_ERR_ARGS, POLICY_EXPORT_ERR_DATABASE, POLICY_EXPORT_ERR_FILE, POLICY_EXPORT_ERR_MEMORY, POLICY_EXPORT_ERR_XML, POLICY_EXPORT_MAX_LENGHT, POLICY_EXPORT_OK, policy_list_free(), policy_list_get(), policy_list_new(), and policy_list_next().